Bug 760165 - [abrt] invalid free in vnc_dpy_resize
[abrt] invalid free in vnc_dpy_resize
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
abrt_hash:0c87b1f0bf6751a97b36de8b754...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-05 10:07 EST by Flos Lonicerae
Modified: 2013-02-11 17:25 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-11 17:25:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (7.21 KB, text/plain)
2011-12-05 10:07 EST, Flos Lonicerae
no flags Details
File: event_log (23.83 KB, text/plain)
2011-12-05 10:07 EST, Flos Lonicerae
no flags Details
File: maps (32.13 KB, text/plain)
2011-12-05 10:07 EST, Flos Lonicerae
no flags Details
File: backtrace (16.02 KB, text/plain)
2011-12-05 10:07 EST, Flos Lonicerae
no flags Details
File: build_ids (3.44 KB, text/plain)
2011-12-05 10:07 EST, Flos Lonicerae
no flags Details
File: backtrace (11.84 KB, text/plain)
2012-03-19 12:59 EDT, Marek Michał Mazur
no flags Details

  None (edit)
Description Flos Lonicerae 2011-12-05 10:07:33 EST
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        /usr/bin/qemu-kvm -S -M pc-0.14 -enable-kvm -m 1024 -smp 1,sockets=1,cores=1,threads=1 -name exam -uuid c760ace8-d819-24be-2a89-c83141e644cb -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/exam.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc -drive file=/pub/VM/exam-server,if=none,id=drive-virtio-disk0,format=raw -device virtio-blk-pci,bus=pci.0,addr=0x5,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -netdev tap,fd=24,id=hostnet0 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:00:00:16,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -usb -device usb-tablet,id=input0 -vnc 127.0.0.1:1 -vga cirrus -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6
crash_function: __GI_raise
executable:     /usr/bin/qemu-kvm
kernel:         3.1.2-1.fc16.x86_64
pid:            7593
pwd:            /
reason:         Process /usr/bin/qemu-kvm was killed by signal 6 (SIGABRT)
time:           2011年12月05日 星期一 22时46分05秒
uid:            107
username:       qemu

backtrace:      Text file, 16402 bytes
build_ids:      Text file, 3526 bytes
dso_list:       Text file, 7381 bytes
event_log:      Binary file, 24403 bytes
maps:           Text file, 32897 bytes

comment:
:1. sudo service libvirtd restart
:2. open virt-manager
:3. open two virtual server in virt-manager

environ:
:LC_ALL=C
:PATH=/sbin:/usr/sbin:/bin:/usr/bin
:QEMU_AUDIO_DRV=none

var_log_messages:
:Dec  4 21:59:18 localhost yum[3921]: Installed: 2:qemu-kvm-0.15.1-3.fc16.x86_64
:Dec  4 22:18:52 localhost yum[2339]: Installed: 2:qemu-kvm-tools-0.15.1-3.fc16.x86_64
:Dec  4 23:57:00 localhost qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory
:Dec  5 00:01:43 localhost qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory
:Dec  5 00:03:53 localhost qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory
:Dec  5 22:41:32 localhost qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory
:Dec  5 22:43:11 localhost qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory
:Dec  5 22:45:12 localhost qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory
:Dec  5 22:46:05 localhost qemu-kvm: Could not find keytab file: /etc/qemu/krb5.tab: No such file or directory
:Dec  5 22:46:10 localhost abrt[7598]: Saved core dump of pid 7593 (/usr/bin/qemu-kvm) to /var/spool/abrt/ccpp-2011-12-05-22:46:05-7593 (1118920704 bytes)
Comment 1 Flos Lonicerae 2011-12-05 10:07:38 EST
Created attachment 540954 [details]
File: dso_list
Comment 2 Flos Lonicerae 2011-12-05 10:07:42 EST
Created attachment 540955 [details]
File: event_log
Comment 3 Flos Lonicerae 2011-12-05 10:07:46 EST
Created attachment 540956 [details]
File: maps
Comment 4 Flos Lonicerae 2011-12-05 10:07:49 EST
Created attachment 540957 [details]
File: backtrace
Comment 5 Flos Lonicerae 2011-12-05 10:07:52 EST
Created attachment 540958 [details]
File: build_ids
Comment 6 Fedora Admin XMLRPC Client 2012-03-15 13:56:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Marek Michał Mazur 2012-03-19 12:59:49 EDT
Converting vmdk image to qcow2.

backtrace_rating: 4
Package: qemu-img-0.15.1-4.fc16
OS Release: Fedora release 16 (Verne)
Comment 8 Marek Michał Mazur 2012-03-19 12:59:55 EDT
Created attachment 571192 [details]
File: backtrace
Comment 9 Fedora End Of Life 2013-01-16 15:41:48 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Cole Robinson 2013-02-11 17:25:48 EST
Hmm, I think that last backtrace attached is not the same as the original report.

If anyone can still reproduce on F18, please file a new bug with the updated backtrace. Closing this since F16 is going EOL soon

Note You need to log in before you can comment on or make changes to this bug.